langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.user.list_item
  module:
    - user
    - views_infinite_scroll
id: who_s_online
label: 'Who''s online block'
module: user
description: 'Shows the user names of the most recently active users, and the total number of active users.'
tag: default
base_table: users_field_data
base_field: uid
display:
  default:
    id: default
    display_title: Master
    display_plugin: default
    position: 0
    display_options:
      title: 'Who''s online'
      fields:
        name:
          id: name
          table: users_field_data
          field: name
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: user
          entity_field: name
          plugin_id: field
          label: ''
          exclude: false
          alter:
            alter_text: false
            make_link: false
            absolute: false
            word_boundary: false
            ellipsis: false
            strip_tags: false
            trim: false
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          type: user_name
      pager:
        type: some
        options:
          offset: 0
          items_per_page: 3
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      access:
        type: perm
        options:
          perm: 'access user profiles'
      cache:
        type: tag
        options: {  }
      empty:
        area_text_custom:
          id: area_text_custom
          table: views
          field: area_text_custom
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: text_custom
          empty: true
          content: 'No one is online at the moment.'
          tokenize: false
      sorts:
        access:
          id: access
          table: users_field_data
          field: access
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: user
          entity_field: access
          plugin_id: date
          order: DESC
          expose:
            label: ''
            field_identifier: access
          exposed: false
          granularity: second
      arguments: {  }
      filters:
        status:
          id: status
          table: users_field_data
          field: status
          entity_type: user
          entity_field: status
          plugin_id: boolean
          value: '1'
          group: 1
          expose:
            operator: '0'
            operator_limit_selection: false
            operator_list: {  }
        access:
          id: access
          table: users_field_data
          field: access
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: user
          entity_field: access
          plugin_id: date
          operator: '>='
          value:
            min: ''
            max: ''
            value: '-15 minutes'
            type: offset
          group: 1
          exposed: false
          expose:
            operator_id: access_op
            label: 'Last access'
            description: 'A user is considered online for this long after they have last viewed a page.'
            use_operator: false
            operator: access_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: access
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
      style:
        type: default
        options:
          grouping: {  }
          row_class: who-is__item
          default_row_class: true
      row:
        type: 'entity:user'
        options:
          relationship: none
          view_mode: list_item
      query:
        type: views_query
        options:
          query_comment: ''
          disable_sql_rewrite: false
          distinct: false
          replica: false
          query_tags: {  }
      relationships: {  }
      css_class: 'content-box who-is who-is__online'
      use_ajax: true
      header:
        result:
          id: result
          table: views
          field: result
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: result
          empty: false
          content: 'There are currently @total users online.'
      footer: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - user.permissions
      tags: {  }
  full_list_block:
    id: full_list_block
    display_title: 'Full list'
    display_plugin: block
    position: 2
    display_options:
      title: ''
      pager:
        type: infinite_scroll
        options:
          offset: 0
          items_per_page: 10
          total_pages: null
          id: 0
          tags:
            next: 'Next ›'
            previous: '‹ Previous'
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 25, 50'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
          views_infinite_scroll:
            button_text: 'Load more'
            automatically_load_content: true
            initially_load_all_pages: false
      defaults:
        title: false
        css_class: false
        pager: false
        header: false
        footer: true
      css_class: 'who-is who-is--online'
      display_description: ''
      header: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url.query_args
        - user.permissions
      tags: {  }
  who_s_online_block:
    id: who_s_online_block
    display_title: 'Who''s online'
    display_plugin: block
    position: 1
    display_options:
      display_description: 'A list of users that are currently logged in.'
      display_extenders: {  }
      block_description: 'Who''s online'
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - user.permissions
      tags: {  }
